Skip to main content

Get Conference Call Detail Records

This request returns a list of call detail records related to the Conference Call objects.

get /app/conference/calls

Sample​

A sample GET request to get the Conference endpoint Call object call detail records matching the criteria in the request URL:

curl -X GET \
'https://api.carrierx.com/core/v2/app/conference/calls' \
-H 'Authorization: Bearer 5ebc03d6-8b2b-44ad-bf65-72d4f1491dda'

Response​

200 response code with a list of Conference Call Detail Record objects:

{
"count": 1,
"has_more": false,
"items": [
{
"address_dst": "\"15162065515\" <sip:[email protected]>",
"address_src": "<sip:[email protected]",
"audio_key": null,
"bridge": "conference-bridge",
"call_sid": "69057c3e-bb90-4ed3-9c53-000000001142",
"custom_call_type": null,
"custom_name": null,
"date_disconnected": "2024-12-14T10:04:04.000Z",
"date_insert": "2024-12-14T11:01:03.195Z",
"date_join": "2024-12-14T10:03:30.000Z",
"date_start": "2024-12-14T10:03:14.000Z",
"date_stop": "2024-12-14T10:04:04.000Z",
"direction": "inbound",
"disconnect_cause": 16,
"disconnect_originator": "src",
"disconnect_reason": "Normal",
"duration": "50",
"duration_meeting": "34",
"endpoint_sid": "e3ddc435-7b07-4f3a-98d5-4fe9be107652",
"meeting_room_sid": "f752b4a5-b821-4322-a26f-db5cfbf014ab",
"meeting_sid": "69057c3e-bb90-4ed3-9c53-000000000392",
"node": "11.22.33.44",
"number_dst": "15162065515",
"number_src": "+17605692222",
"partner_sid": "cee93bf3-5746-43fe-a1a2-822c05fef687",
"role": "host",
"user_agent": "CX-IVS-SBC"
}
],
"limit": 10,
"offset": 0,
"pagination": {},
"total": null
}

This request is enabled for Pagination, Result Filtering, and Field Filtering.

Required Scopes​

To get information about Conference Call Detail Record objects, the partner must have one of the following scopes enabled:

  • app.manage
  • app.read

To view information about Conference Call Detail Record objects for the inherited partner, the partner must additionally have the app.read_descendant scope enabled.